[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-155-g15577bb2c

git at osgeo.org git at osgeo.org
Sun Oct 2 03:55:40 PDT 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  15577bb2c255c174c80b6f7807bddd260cafbbc4 (commit)
      from  750c6dd7b8c71ae69d21a779a6a13c68cb03525a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 15577bb2c255c174c80b6f7807bddd260cafbbc4
Author: Regina Obe <lr at pcorp.us>
Date:   Sun Oct 2 06:55:34 2022 -0400

    Add back latest but have test in upgrade mode

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 46d46ab2d..54a7879e7 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -27,12 +27,9 @@ jobs:
         - { tag: pg13-geos39-gdal31-proj71, mode: usan_gcc }
         - { tag: pg13-clang-geos39-gdal31-proj71, mode: usan_clang }
         # Run tests with different dependency combinations
-        # - { tag: latest, mode: tests }
+        - { tag: latest, mode: upgrade }
         - { tag: pg13-geos38-gdal31-proj71, mode: tests }
         - { tag: pg12-geos37-gdal30-proj611, mode: tests }
-        # - { tag: pg11-geos37-gdal24-proj52, mode: tests }
-        # - { tag: pg10-geos36-gdal23-proj49, mode: tests }
-        # - { tag: pg96-geos36-gdal22-proj49, mode: tests }
 
     runs-on: ubuntu-latest
     steps:
diff --git a/ci/github/run_upgrade.sh b/ci/github/run_upgrade.sh
new file mode 100644
index 000000000..e30cd2519
--- /dev/null
+++ b/ci/github/run_upgrade.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+set -e
+
+WARNINGS="-Werror -Wall -Wextra -Wformat -Werror=format-security"
+WARNINGS_DISABLED="-Wno-unused-parameter -Wno-implicit-fallthrough -Wno-unknown-warning-option -Wno-cast-function-type"
+
+# Standard flags, as we might build PostGIS for production
+CFLAGS_STD="-g -O2 -mtune=generic -fno-omit-frame-pointer ${WARNINGS} ${WARNINGS_DISABLED}"
+LDFLAGS_STD="-Wl,-Bsymbolic-functions -Wl,-z,relro"
+
+export CUNIT_WITH_VALGRIND=YES
+export CUNIT_VALGRIND_FLAGS="--leak-check=full --error-exitcode=1"
+
+/usr/local/pgsql/bin/pg_ctl -c -l /tmp/logfile -o '-F' start
+./autogen.sh
+
+# Standard build
+./configure CFLAGS="${CFLAGS_STD}" LDFLAGS="${LDFLAGS_STD}"
+#bash ./ci/github/logbt --
+make -j
+#bash ./ci/github/logbt \ --
+make install
+make check RUNTESTFLAGS="--verbose --extension -v --upgrade-path ${POSTGIS_MICRO_VER}--:auto!"

-----------------------------------------------------------------------

Summary of changes:
 .github/workflows/ci.yml                   | 5 +----
 ci/github/{run_tests.sh => run_upgrade.sh} | 3 ++-
 2 files changed, 3 insertions(+), 5 deletions(-)
 copy ci/github/{run_tests.sh => run_upgrade.sh} (87%)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list